Page MenuHomePhabricator

Change ownership of a table in postgres, create indexes
Closed, ResolvedPublic

Description

The table admin (this is not a system table, its for administrative borders) was incorrectly setup in the new postgres. Please change the ownership of that table to osmimporter (just like all other tables), and a few indexes are missing:

  • ALTER TABLE admin OWNER TO osmimporter;
  • CREATE INDEX admin_way_idx ON admin USING gist (way);
  • CREATE INDEX planet_osm_rels_parts ON planet_osm_rels USING gin (parts) WITH (fastupdate=off);

I tried to create the last index (since it belongs to the osmimporter), but the query simply hung there, with the waiting status set to "t". This might be due to the osmupdater still running (hanging).

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Yurik created this task.Jun 4 2016, 4:41 AM
Restricted Application added a project: Discovery. · View Herald TranscriptJun 4 2016, 4:41 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Yurik triaged this task as High priority.Jun 4 2016, 4:41 AM
Yurik updated the task description. (Show Details)Jun 4 2016, 5:00 AM
Yurik added a comment.Jun 4 2016, 5:06 AM

P.S. @MaxSem, when you were checking indexes, did you look at these? Is that something that got dropped due to the updater script, or did you not look at those tables?

Yurik closed this task as Resolved.Jun 6 2016, 3:45 PM
Yurik added a subscriber: Danny_B.

@Danny_B this task is for osm db that we are setting up to match the existing map test cluster. Not sure its related to the other tags you added, but up to you.

[ Removing Schema-change as per its project description ]

Danny_B removed a subscriber: Danny_B.Jul 9 2016, 7:48 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Migrating from the old tracking task to a tag for PostgreSQL-related tasks.